package envoy.client.event;

import envoy.schema.Message;

/**
 * Project: <strong>envoy-client</strong><br>
 * File: <strong>MessageCreationEvent.java</strong><br>
 * Created: <strong>4 Dec 2019</strong><br>
 *
 * @author Kai S. K. Engelbart
 */
public class MessageEvent implements Event<Message> {

	protected final Message message;

	public MessageEvent(Message message) { this.message = message; }

	@Override
	public Message get() { return message; }
}
